Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.config
Class DefaultConfigurationBuilder.Configuration

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
          mx4j.tools.config.DefaultConfigurationBuilder.Configuration

All Implemented Interfaces:
  ConfigurationBuilder.Node, ConfigurationBuilder.ObjectsHolder, java.lang.Runnable

Enclosing class:
  DefaultConfigurationBuilder

public static class DefaultConfigurationBuilder.Configuration
extends DefaultConfigurationBuilder.AbstractNode
implements ConfigurationBuilder.ObjectsHolder, java.lang.Runnable

Constructor Summary
`DefaultConfigurationBuilder.Configuration()`

Method Summary
`java.lang.Object` | `configure(javax.management.MBeanServer server)`
`boolean` | `containsKey(java.lang.String key)`
`java.lang.Object` | `getObject(java.lang.String key)`
`java.lang.Object` | `putObject(java.lang.String key, java.lang.Object value)`
`void` | `run()`
`void` | `setPort(java.lang.String portString)`

Methods inherited from class mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
`addChild, getChildren, getParent, getText, setAttributes, setParent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.Configuration

    public DefaultConfigurationBuilder.Configuration()

Method Detail

### setPort

    public void setPort(java.lang.String portString)

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Specified by:
    `configure` in interface `ConfigurationBuilder.Node`
  Throws:
    `ConfigurationException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getObject

    public java.lang.Object getObject(java.lang.String key)

  Specified by:
    `getObject` in interface `ConfigurationBuilder.ObjectsHolder`

### putObject

    public java.lang.Object putObject(java.lang.String key,
                                      java.lang.Object value)

  Specified by:
    `putObject` in interface `ConfigurationBuilder.ObjectsHolder`

### containsKey

    public boolean containsKey(java.lang.String key)

  Specified by:
    `containsKey` in interface `ConfigurationBuilder.ObjectsHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.